Let the clients use a task status

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/projects/{project_id}/settings/task-status/{task_status_id}

Set if the clients of a project can use a task status. A null value uses the value of the studio. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • task_status_id string(uuid) Required

    Task status unique identifier

application/json

Body Required

  • is_client_allowed boolean | null Required

    Whether clients may set this status in this production, null inherits the studio value

Responses

  • 200

    The updated link

  • 400

    is_client_allowed is missing

  • 403

    You are not a manager of the project

  • 404

    The project does not use this task status

PUT /data/projects/{project_id}/settings/task-status/{task_status_id}
curl \
 --request PUT '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/settings/task-status/b35b7fb5-df86-5776-b181-68564193d360' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "is_client_allowed": false
}'
Request examples
{
  "is_client_allowed": false
}